<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__adc__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_adc_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__adc__t_1ac5615cdba01efd5c110f0ca6adbef43e" kind="variable" mutable="no" prot="public" static="no">
        <type>SAR_Type *</type>
        <definition>SAR_Type* cyhal_adc_t::base</definition>
        <argsstring />
        <name>base</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="218" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="218" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1a9343981a568de936a5c729c9b94e3888" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_adc_t::resource</definition>
        <argsstring />
        <name>resource</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="219" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="219" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1aa7f9c40ac381cf1ba12d887a498938b0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref></type>
        <definition>cyhal_clock_t cyhal_adc_t::clock</definition>
        <argsstring />
        <name>clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="220" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="220" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1a1446fcf0c070b58ba0a02a6d1ad0e167" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_adc_t::dedicated_clock</definition>
        <argsstring />
        <name>dedicated_clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="221" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="221" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1a503d77d3c3fe26ec55140a57dcf67b69" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_adc_t::continuous_scanning</definition>
        <argsstring />
        <name>continuous_scanning</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="222" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="222" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1aee91178fbd81ee50efb413d028ae3519" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>volatile bool cyhal_adc_t::conversion_complete</definition>
        <argsstring />
        <name>conversion_complete</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="224" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="224" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1a80387c168decb163670d999d25ab9861" kind="variable" mutable="no" prot="public" static="no">
        <type>struct _cyhal_adc_channel_s *</type>
        <definition>struct _cyhal_adc_channel_s* cyhal_adc_t::channel_config[CY_SAR_MAX_NUM_CHANNELS]</definition>
        <argsstring>[CY_SAR_MAX_NUM_CHANNELS]</argsstring>
        <name>channel_config</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="225" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="225" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1a6ae0542a24823c0931f95eb71cc6db33" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_adc_t::user_enabled_events</definition>
        <argsstring />
        <name>user_enabled_events</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="226" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="226" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1a215032cbf5b0e332de57edc6e08b967b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__event__callback__data__t">cyhal_event_callback_data_t</ref></type>
        <definition>cyhal_event_callback_data_t cyhal_adc_t::callback_data</definition>
        <argsstring />
        <name>callback_data</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="227" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="227" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1a1ab5d42ceff21bf6a5983839ec19cdcc" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__general__types_1gab2d2acfb82599df54152be0b170c6ec2">cyhal_async_mode_t</ref></type>
        <definition>cyhal_async_mode_t cyhal_adc_t::async_mode</definition>
        <argsstring />
        <name>async_mode</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="228" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="228" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1a9b7bf7fcde35981ece224554ad22f10d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref></type>
        <definition>cyhal_dma_t cyhal_adc_t::dma</definition>
        <argsstring />
        <name>dma</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="229" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="229" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1af162a27f19cd19a089fb5e2c49ae800a" kind="variable" mutable="no" prot="public" static="no">
        <type>int32_t *</type>
        <definition>int32_t* cyhal_adc_t::async_buff_orig</definition>
        <argsstring />
        <name>async_buff_orig</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="231" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="231" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1a1183a11bed557a6643c10de4a2cde754" kind="variable" mutable="no" prot="public" static="no">
        <type>int32_t *</type>
        <definition>int32_t* cyhal_adc_t::async_buff_next</definition>
        <argsstring />
        <name>async_buff_next</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="232" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="232" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1a762f879937906d9d3ea371de58faa1e6" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_adc_t::async_transfer_in_uv</definition>
        <argsstring />
        <name>async_transfer_in_uv</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="233" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="233" />
      </memberdef>
      <memberdef id="structcyhal__adc__t_1a1460a01df6bff30e507cd971dd8b908d" kind="variable" mutable="no" prot="public" static="no">
        <type>size_t</type>
        <definition>size_t cyhal_adc_t::async_scans_remaining</definition>
        <argsstring />
        <name>async_scans_remaining</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="235" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="235" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>ADC object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="14">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="12">
        <label>cyhal_adc_t</label>
        <link refid="structcyhal__adc__t" />
        <childnode refid="13" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="14" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
      <node id="13">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
    </collaborationgraph>
    <location bodyend="239" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="216" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="216" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__adc__t_1a1183a11bed557a6643c10de4a2cde754" virt="non-virtual"><scope>cyhal_adc_t</scope><name>async_buff_next</name></member>
      <member prot="public" refid="structcyhal__adc__t_1af162a27f19cd19a089fb5e2c49ae800a" virt="non-virtual"><scope>cyhal_adc_t</scope><name>async_buff_orig</name></member>
      <member prot="public" refid="structcyhal__adc__t_1a1ab5d42ceff21bf6a5983839ec19cdcc" virt="non-virtual"><scope>cyhal_adc_t</scope><name>async_mode</name></member>
      <member prot="public" refid="structcyhal__adc__t_1a1460a01df6bff30e507cd971dd8b908d" virt="non-virtual"><scope>cyhal_adc_t</scope><name>async_scans_remaining</name></member>
      <member prot="public" refid="structcyhal__adc__t_1a762f879937906d9d3ea371de58faa1e6" virt="non-virtual"><scope>cyhal_adc_t</scope><name>async_transfer_in_uv</name></member>
      <member prot="public" refid="structcyhal__adc__t_1ac5615cdba01efd5c110f0ca6adbef43e" virt="non-virtual"><scope>cyhal_adc_t</scope><name>base</name></member>
      <member prot="public" refid="structcyhal__adc__t_1a215032cbf5b0e332de57edc6e08b967b" virt="non-virtual"><scope>cyhal_adc_t</scope><name>callback_data</name></member>
      <member prot="public" refid="structcyhal__adc__t_1a80387c168decb163670d999d25ab9861" virt="non-virtual"><scope>cyhal_adc_t</scope><name>channel_config</name></member>
      <member prot="public" refid="structcyhal__adc__t_1aa7f9c40ac381cf1ba12d887a498938b0" virt="non-virtual"><scope>cyhal_adc_t</scope><name>clock</name></member>
      <member prot="public" refid="structcyhal__adc__t_1a503d77d3c3fe26ec55140a57dcf67b69" virt="non-virtual"><scope>cyhal_adc_t</scope><name>continuous_scanning</name></member>
      <member prot="public" refid="structcyhal__adc__t_1aee91178fbd81ee50efb413d028ae3519" virt="non-virtual"><scope>cyhal_adc_t</scope><name>conversion_complete</name></member>
      <member prot="public" refid="structcyhal__adc__t_1a1446fcf0c070b58ba0a02a6d1ad0e167" virt="non-virtual"><scope>cyhal_adc_t</scope><name>dedicated_clock</name></member>
      <member prot="public" refid="structcyhal__adc__t_1a9b7bf7fcde35981ece224554ad22f10d" virt="non-virtual"><scope>cyhal_adc_t</scope><name>dma</name></member>
      <member prot="public" refid="structcyhal__adc__t_1a9343981a568de936a5c729c9b94e3888" virt="non-virtual"><scope>cyhal_adc_t</scope><name>resource</name></member>
      <member prot="public" refid="structcyhal__adc__t_1a6ae0542a24823c0931f95eb71cc6db33" virt="non-virtual"><scope>cyhal_adc_t</scope><name>user_enabled_events</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>